DRM_SELECT_ELD(9)

NAME
drm_select_eld - select one ELD from multiple HDMI/DP sinks

SYNOPSIS

struct drm_connector * drm_select_eld(struct drm_encoder * encoder, struct drm_display_mode * mode);

ARGUMENTS

encoder
    the encoder just changed display mode

mode
    the adjusted display mode

DESCRIPTION

It's possible for one encoder to be associated with multiple HDMI/DP sinks. The policy is now hard coded to simply use the first HDMI/DP sink's ELD.

RETURN

The connector associated with the first HDMI/DP sink that has ELD attached to it.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT